/*
 * AccessorAlreadyOpenedException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * アクセッサが二重にOpenされたときに発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class AccessorAlreadyOpenedException extends AccessorRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 1461288834137595053L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public AccessorAlreadyOpenedException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public AccessorAlreadyOpenedException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public AccessorAlreadyOpenedException(String msg, Exception cause) {
		super(msg, cause);
	}
}
